import { useEffect } from 'react';
import '../css/global.css';
import BlackButton from './components/customButton';

function HomePage() {
  useEffect(() => {
    const controller = new AbortController();

    const fetchVideo = async () => {
      try {
        const res = await fetch(`${import.meta.env.VITE_ASSETS_URL}/hallway_FFF.mp4`, {
          signal: controller.signal,
          cache: 'force-cache', // Helps to ensure the response is stored
        });

        // Read the response into memory (helps trigger caching)
        await res.blob();
        console.log('Video prefetched successfully.');
      } catch (err) {
        if (err.name !== 'AbortError') {
          console.error('Video prefetch failed:', err);
        }
      }
    };

    fetchVideo();

    return () => controller.abort();
  }, []);

  return (
    <div style={{
      display: 'flex',
      justifyContent: 'center',
      alignItems: 'center',
      height: '100vh',
      flexDirection: 'column',
    }}>
      <label className='title'>Fifty Shades <br /> of Bully</label>

      <div style={{ height: '8vh' }} />

      <BlackButton text="Start" to='/warn' />
    </div>
  );
}

export default HomePage;
